package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaAirPollutionIndex;
import com.lightinit.hsdatashow.entity.AreaAirPollutionIndexExample;

import java.util.LinkedHashMap;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AreaAirPollutionIndexMapper {
    long countByExample(AreaAirPollutionIndexExample example);

    int deleteByExample(AreaAirPollutionIndexExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaAirPollutionIndex record);

    int insertSelective(AreaAirPollutionIndex record);

    List<AreaAirPollutionIndex> selectByExample(AreaAirPollutionIndexExample example);

    AreaAirPollutionIndex selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaAirPollutionIndex record, @Param("example") AreaAirPollutionIndexExample example);

    int updateByExample(@Param("record") AreaAirPollutionIndex record, @Param("example") AreaAirPollutionIndexExample example);

    int updateByPrimaryKeySelective(AreaAirPollutionIndex record);

    int updateByPrimaryKey(AreaAirPollutionIndex record);

    List<String> getHSAirPollutionIndexDate();

    List<LinkedHashMap<String,String>> getHSAreaAirPollutionIndex();

}